package com.yovinchen.train.common.resp;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * ClassName: PageResp
 * Package: com.yovinchen.train.common.resp
 *
 * @author yovinchen
 * @Create 2024/1/20 13:37
 */
@Data
public class PageResp<T> implements Serializable {
    /**
     * 总条数
     */
    private Long total;

    /**
     * 当前页的列表
     */
    private List<T> list;

}
