package com.yovinchen.train.member.req;

import io.swagger.annotations.ApiModelProperty;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * ClassName: MemberRegisterReq
 * Package: com.yovinchen.train.member.req
 *
 * @author yovinchen
 * @Create 2024/1/19 22:55
 */
@Data
@AllArgsConstructor //生成全参数构造函数
@NoArgsConstructor//生成无参构造函数
@Builder
public class MemberRegisterReq {

    @NotBlank(message = "【手机号】不能为空")
    @ApiModelProperty("手机号")
    private String mobile;
}
