package com.yovinchen.train.common.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ClassName: BusinessException
 * Package: com.yovinchen.train.common.exception
 *
 * @author yovinchen
 * @Create 2024/1/20 16:37
 */
@EqualsAndHashCode(callSuper = true)
@Data
//@AllArgsConstructor //生成全参数构造函数
public class BusinessException extends RuntimeException {

    private BusinessExceptionEnum e;

    public BusinessException(BusinessExceptionEnum e) {
        this.e = e;
    }


    /**
     * 不写入堆栈信息，提高性能
     */
    @Override
    public Throwable fillInStackTrace() {
        return this;
    }


}
