package com.yovinchen.train.common.util;

import cn.hutool.core.util.IdUtil;

/**
 * ClassName: SnowUtil
 * Package: com.yovinchen.train.common.util
 * 封装 hutool 雪花算法
 *
 * @author yovinchen
 * @Create 2024/1/20 16:43
 */

public class SnowUtil {
    //数据中心
    private static final long dataCenterId = 1;

    //机器标识
    private static final long workerId = 1;

    public static long getSnowflakeNextId() {
        return IdUtil.getSnowflake(workerId, dataCenterId)
                .nextId();
    }

    public static String getSnowflakeNextIdStr() {
        return IdUtil.getSnowflake(workerId, dataCenterId)
                .nextIdStr();
    }
}

