package com.yovinchen.train.member.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 会员
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-19 09:53:20
 */
@Data
@TableName("member")
@ApiModel(value = "Member对象", description = "会员")
public class Member {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("手机号")
    @TableField("mobile")
    private String mobile;
}
